.t18-calc,
.t18-calc * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}



.t18-calc {
    font-family: tahoma, verdana, arial, sans;
    display: flex;
    max-width: 100%;
    padding: 24px;
    border: 1px #ccc dashed;
    background-color: #721a33;
    border-radius: 10px;
    color: #fff;
    font-size: 15px;
}



.t18-calc

.t18-calc-left {
    max-width: 450px;
}

.t18-calc-right{
    position: relative;
    display: block;
    margin-left: 35px;
    padding-left: 35px;
}
.t18-calc-right::before{
    content: "";
    position: absolute;
    display: block;
    background-color: #fff;
    height: 100%;
    width: 2px;
    left: 0;
    height: 92%;
}




.t18-calc .t18-row {
    width: 100%;
    display: flex;
    justify-content: space-between;
    margin-bottom: 8px;
    flex-wrap: wrap;
}
.t18-row-calc-right-inner{
    display: flex;
    flex-direction: column;
}

.t18-calc .t18-half-row {
    display: flex;
    justify-content: space-between;
}
.t18-calc .t18-half-row:nth-child(1) {
    /*width: 60%;*/
}
.t18-calc .t18-half-row:nth-child(2) {
    width: 40%;
}
@media (max-width: 500px) {
    .t18-calc .t18-row .t18-half-row {
        width: 100%;
    }
}
.t18-calc .t18-label {

}
.t18-calc .t18-control {
    width: 100%;
    flex-grow: 1;
    flex-shrink: 1;
    border: 1px #aaa solid;
    border-radius: 4px;
    background-color: white;
    padding: 4px;
    font-size: inherit;
    min-width: 0;

}
.t18-calc .t18-times {
    display: inline-block;
    margin: 0 8px;
    align-self: center;
}
.t18-calc hr {
    margin: 16px 0;
}

.t18-calc .t18-euro-approximately {
    color: red;
}

.t18-calc .t18-results {
    display: flex;
    flex-direction: column;
}
.t18-calc .t18-results .t18-label {
    margin-bottom: 8px;
}
.t18-calc .t18-results .t18-final {
   text-align: center;
    font-size: 130%;
    font-weight: bold;
    margin-top: 16px;
    line-height: 140%;
}



/*MEDIA_______________*/
@media (max-width: 640px){
    .t18-calc {
        display: block;
    }
    .t18-calc-right {
      margin-left: 0; 
      padding-left: 0;
    }
    .t18-calc-right::before{
        content: none;
    }

}